Devuan bug report logs - #391
keyring is not not unlocked

version graph

Package: slim; Maintainer for slim is Devuan Dev Team <devuan-dev@lists.dyne.org>;

Reported by: Saša Janiška <gour@atmarama.com>

Date: Fri, 7 Feb 2020 13:03:01 UTC

Severity: normal

Found in version 1.3.6-5.1+devuan6

Done: Mark Hindley <mark@hindley.org.uk>

Reply or subscribe to this bug.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to devuan-bugs@lists.dyne.org, Devuan Dev Team <devuan-dev@lists.dyne.org>:
bug#391; Package slim. (Fri, 07 Feb 2020 13:03:01 GMT) (full text, mbox, link).


Acknowledgement sent to Saša Janiška <gour@atmarama.com>:
New bug report received and forwarded. Copy sent to Devuan Dev Team <devuan-dev@lists.dyne.org>. (Fri, 07 Feb 2020 13:03:04 GMT) (full text, mbox, link).


Message #5 received at submit@bugs.devuan.org (full text, mbox, reply):

From: Saša Janiška <gour@atmarama.com>
To: submit@bugs.devuan.org
Subject: keyring is not not unlocked
Date: Fri, 7 Feb 2020 13:48:46 +0100
Package: slim
Version: 1.3.6-5.1

Hello, I do not have auto-login enabled and created default keyring with the
same passwd as for my login, but the keyring is not unlocked automatically
after login although I've enabled launching of 'GNOME services'

According to e.g. Arch's wiki
(https://wiki.archlinux.org/index.php/SLiM#Gnome_Keyring): "Note: slim 1.3.5-1
ships with /etc/pam.d/slim preconfigured to unlock keyring upon login. Users no
longer need to modify the file."

Any hint?

I'm on Ceres.

$ uname -a
Linux atmarama 5.4.0-3-amd64 #1 SMP Debian 5.4.13-1 (2020-01-19) x86_64 GNU/Linux
Sincerely,
Gour

 
-- 
Bewildered by the modes of material nature, the ignorant fully
engage themselves in material activities and become attached. But
the wise should not unsettle them, although these duties are inferior
due to the performers' lack of knowledge.

Information forwarded to devuan-bugs@lists.dyne.org, Devuan Dev Team <devuan-dev@lists.dyne.org>:
bug#391; Package slim. (Mon, 10 Feb 2020 13:48:02 GMT) (full text, mbox, link).


Message #8 received at 391@bugs.devuan.org (full text, mbox, reply):

From: Mark Hindley <mark@hindley.org.uk>
To: Saša Janiška <gour@atmarama.com>, 391@bugs.devuan.org
Subject: Re: bug#391: keyring is not not unlocked
Date: Mon, 10 Feb 2020 13:29:46 +0000
On Fri, Feb 07, 2020 at 01:48:46PM +0100, Saša Janiška wrote:
> Hello, I do not have auto-login enabled and created default keyring with the
> same passwd as for my login, but the keyring is not unlocked automatically
> after login although I've enabled launching of 'GNOME services'
> 
> Any hint?
> 
> I'm on Ceres.

Are you using consolekit or elogind for session managment?

Mark

Reply sent to Mark Hindley <mark@hindley.org.uk>:
You have taken responsibility. (Mon, 10 Feb 2020 16:33:01 GMT) (full text, mbox, link).


Notification sent to Saša Janiška <gour@atmarama.com>:
bug acknowledged by developer. (Mon, 10 Feb 2020 16:33:05 GMT) (full text, mbox, link).


Message #13 received at 391-done@bugs.devuan.org (full text, mbox, reply):

From: Mark Hindley <mark@hindley.org.uk>
To: Saša Janiška <gour@atmarama.com>
Cc: 391-done@bugs.devuan.org
Subject: Re: bug#391: keyring is not not unlocked
Date: Mon, 10 Feb 2020 16:11:50 +0000
Version: 1.3.6-5.1+devuan6

On Mon, Feb 10, 2020 at 04:15:03PM +0100, Saša Janiška wrote:
> Mark Hindley <mark@hindley.org.uk> writes:
> 
> > Are you using consolekit or elogind for session managment?
> 
> I was using consolekit and 'solved' the problem by changing display
> manager to lightdm and using elogind.

OK.

I am going to close this since you had Debian's version of slim installed
(1.3.6-5.1) rather than Devuan's (1.3.6-5.1+devuan6).

As far as I can tell Devuan's version works correctly in this regard.

Thanks

Mark

Information forwarded to devuan-bugs@lists.dyne.org, Devuan Dev Team <devuan-dev@lists.dyne.org>:
bug#391; Package slim. (Tue, 11 Feb 2020 18:33:02 GMT) (full text, mbox, link).


Acknowledgement sent to Mark Hindley <mark@hindley.org.uk>:
Extra info received and forwarded to list. Copy sent to Devuan Dev Team <devuan-dev@lists.dyne.org>. (Tue, 11 Feb 2020 18:33:04 GMT) (full text, mbox, link).


Message #18 received at 391@bugs.devuan.org (full text, mbox, reply):

From: Mark Hindley <mark@hindley.org.uk>
To: Saša Janiška <gour@atmarama.com>
Cc: 391@bugs.devuan.org
Subject: Re: bug#391: keyring is not not unlocked
Date: Tue, 11 Feb 2020 18:17:30 +0000
Control: reopen -1 1.3.6-5.1+devuan6

On Mon, Feb 10, 2020 at 09:02:33PM +0100, Saša Janiška wrote:
> > In your bug report you said version 1.3.6-5.1. Is that not correct?
> >
> > root@4006423851c9:~# apt policy slim
> > slim:
> >   Installed: (none)
> >   Candidate: 1.3.6-5.1+devuan6
> >   Version table:
> >      1.3.6-5.1+devuan6 500
> >         500 http://deb.devuan.org/merged ceres/main amd64 Packages
> 
> Here I what I still have installed:
> 
> slim/unstable,now 1.3.6-5.1+devuan6 amd64 [installed]

OK, but that wasn't the version number you put in the bug report.

> and it was not unlocking keyring, although it is supposed to do so.

Did you try slim with elogind?

Mark

Bug reopened Request was from Mark Hindley <mark@hindley.org.uk> to control@bugs.devuan.org. (Tue, 11 Feb 2020 19:03:01 GMT) (full text, mbox, link).


No longer marked as fixed in versions 1.3.6-5.1+devuan6. Request was from Mark Hindley <mark@hindley.org.uk> to control@bugs.devuan.org. (Tue, 11 Feb 2020 19:03:01 GMT) (full text, mbox, link).


Marked as found in versions 1.3.6-5.1+devuan6. Request was from Mark Hindley <mark@hindley.org.uk> to control@bugs.devuan.org. (Tue, 11 Feb 2020 19:03:01 GMT) (full text, mbox, link).


No longer marked as found in versions 1.3.6-5.1. Request was from Mark Hindley <mark@hindley.org.uk> to control@bugs.devuan.org. (Tue, 11 Feb 2020 19:03:01 GMT) (full text, mbox, link).


Information forwarded to devuan-bugs@lists.dyne.org, Devuan Dev Team <devuan-dev@lists.dyne.org>:
bug#391; Package slim. (Tue, 11 Feb 2020 20:48:01 GMT) (full text, mbox, link).


Acknowledgement sent to Saša Janiška <gour@atmarama.com>:
Extra info received and forwarded to list. Copy sent to Devuan Dev Team <devuan-dev@lists.dyne.org>. (Tue, 11 Feb 2020 20:48:04 GMT) (full text, mbox, link).


Message #31 received at 391@bugs.devuan.org (full text, mbox, reply):

From: Saša Janiška <gour@atmarama.com>
To: Mark Hindley <mark@hindley.org.uk>
Cc: Saša Janiška <gour@atmarama.com>, 391@bugs.devuan.org
Subject: Re: bug#391: keyring is not not unlocked
Date: Tue, 11 Feb 2020 21:37:07 +0100
Mark Hindley <mark@hindley.org.uk> writes:

> Did you try slim with elogind?

Yes, but that didn't work and on IRC I was advised to follow release
notes which states that slim+consolekit & lightdm+elogind are
recommended combinations.


Sincerely,
Gour

-- 
As the embodied soul continuously passes, in this body,
from boyhood to youth to old age, the soul similarly passes
into another body at death. A sober person is not bewildered
by such a change.

Information forwarded to devuan-bugs@lists.dyne.org, Devuan Dev Team <devuan-dev@lists.dyne.org>:
bug#391; Package slim. (Tue, 11 Feb 2020 21:03:02 GMT) (full text, mbox, link).


Acknowledgement sent to Saša Janiška <gour@atmarama.com>:
Extra info received and forwarded to list. Copy sent to Devuan Dev Team <devuan-dev@lists.dyne.org>. (Tue, 11 Feb 2020 21:03:04 GMT) (full text, mbox, link).


Message #36 received at 391@bugs.devuan.org (full text, mbox, reply):

From: Saša Janiška <gour@atmarama.com>
To: Mark Hindley <mark@hindley.org.uk>
Cc: 391@bugs.devuan.org
Subject: Re: bug#391: keyring is not not unlocked
Date: Tue, 11 Feb 2020 21:39:58 +0100
Mark Hindley <mark@hindley.org.uk> writes:

> Did you try slim with elogind?

Forgot to say, that when I tried slim+elogind, then Thunar was unable to
mount external USB HDD.


Sincerely,
Gour

-- 
As a strong wind sweeps away a boat on the water,
even one of the roaming senses on which the mind
focuses can carry away a man's intelligence.

Information forwarded to devuan-bugs@lists.dyne.org, Devuan Dev Team <devuan-dev@lists.dyne.org>:
bug#391; Package slim. (Wed, 12 Feb 2020 11:33:01 GMT) (full text, mbox, link).


Acknowledgement sent to Mark Hindley <mark@hindley.org.uk>:
Extra info received and forwarded to list. Copy sent to Devuan Dev Team <devuan-dev@lists.dyne.org>. (Wed, 12 Feb 2020 11:33:03 GMT) (full text, mbox, link).


Message #41 received at 391@bugs.devuan.org (full text, mbox, reply):

From: Mark Hindley <mark@hindley.org.uk>
To: Saša Janiška <gour@atmarama.com>
Cc: 391@bugs.devuan.org
Subject: Re: bug#391: keyring is not not unlocked
Date: Wed, 12 Feb 2020 11:14:11 +0000
Gour,

On Tue, Feb 11, 2020 at 09:39:58PM +0100, Saša Janiška wrote:
> Mark Hindley <mark@hindley.org.uk> writes:
> 
> > Did you try slim with elogind?

Does that mean that the keyring unlocking worked for slim+elogind?

> Forgot to say, that when I tried slim+elogind, then Thunar was unable to
> mount external USB HDD.

That is a different issue. Please open a separate report about it and include
details of all the policykit packages you have installed.

Mark

Information forwarded to devuan-bugs@lists.dyne.org, Devuan Dev Team <devuan-dev@lists.dyne.org>:
bug#391; Package slim. (Thu, 13 Feb 2020 16:48:02 GMT) (full text, mbox, link).


Acknowledgement sent to Saša Janiška <gour@atmarama.com>:
Extra info received and forwarded to list. Copy sent to Devuan Dev Team <devuan-dev@lists.dyne.org>. (Thu, 13 Feb 2020 16:48:05 GMT) (full text, mbox, link).


Message #46 received at 391@bugs.devuan.org (full text, mbox, reply):

From: Saša Janiška <gour@atmarama.com>
To: Mark Hindley <mark@hindley.org.uk>
Cc: 391@bugs.devuan.org
Subject: Re: bug#391: keyring is not not unlocked
Date: Thu, 13 Feb 2020 17:23:59 +0100
Mark Hindley <mark@hindley.org.uk> writes:

> Does that mean that the keyring unlocking worked for slim+elogind?

Now I tried again and it seems that it does work. :-)

>
>> Forgot to say, that when I tried slim+elogind, then Thunar was unable to
>> mount external USB HDD.
>
> That is a different issue. Please open a separate report about it and include
> details of all the policykit packages you have installed.

Don't know how/why, but Thunar now auto-mounted my external HDD, so now
reverting to slim+elogind and can uninstall lightdm. :-D


Sincerely,
Gour

-- 
He who is regulated in his habits of eating, sleeping, recreation
and work can mitigate all material pains by practicing the yoga system.

Reply sent to Mark Hindley <mark@hindley.org.uk>:
You have taken responsibility. (Thu, 13 Feb 2020 17:33:02 GMT) (full text, mbox, link).


Notification sent to Saša Janiška <gour@atmarama.com>:
bug acknowledged by developer. (Thu, 13 Feb 2020 17:33:04 GMT) (full text, mbox, link).


Message #51 received at 391-done@bugs.devuan.org (full text, mbox, reply):

From: Mark Hindley <mark@hindley.org.uk>
To: Saša Janiška <gour@atmarama.com>
Cc: 391-done@bugs.devuan.org
Subject: Re: bug#391: keyring is not not unlocked
Date: Thu, 13 Feb 2020 17:23:06 +0000
Control: notfound -1 1.3.6-5.1+devuan6

On Thu, Feb 13, 2020 at 05:23:59PM +0100, Saša Janiška wrote:
> Mark Hindley <mark@hindley.org.uk> writes:
> 
> > Does that mean that the keyring unlocking worked for slim+elogind?
> 
> Now I tried again and it seems that it does work. :-)
> 
> >
> >> Forgot to say, that when I tried slim+elogind, then Thunar was unable to
> >> mount external USB HDD.
> >
> > That is a different issue. Please open a separate report about it and include
> > details of all the policykit packages you have installed.
> 
> Don't know how/why, but Thunar now auto-mounted my external HDD, so now
> reverting to slim+elogind and can uninstall lightdm. :-D

Thanks. So that is all resolved then.

Closing.

Mark


Send a report that this bug log contains spam.


Devuan BTS -- Powered by Debian bug tracking system
Copyright (C) 1999 Darren O. Benham,
1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson,
2005-2017 Don Armstrong, and many other contributors.

Devuan Bugs Owner <owner@bugs.devuan.org>.
Last modified: Thu Oct 29 10:32:49 2020;